{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "valkyriesplus:valkyrieregen",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "textures/particle/theft"
			}
		},
		"components": {
			"minecraft:emitter_rate_steady": {
				"spawn_rate": 50,
				"max_particles": 1000
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 1
			},
			"minecraft:emitter_shape_box": {
				"offset": [
					0,
					-5,
					0
				],
				"half_dimensions": [
					1,
					1,
					1
				],
				"direction": "outwards"
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "math.random(0.8,1.5)"
			},
			"minecraft:particle_initial_speed": 0.1,
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [
					0,
					17,
					0
				]
			},
			"minecraft:particle_appearance_billboard": {
				"size": [
					0.05,
					1
				],
				"facing_camera_mode": "lookat_xyz",
				"uv": {
					"texture_width": 128,
					"texture_height": 128,
					"uv": [
						"math.round(variable.particle_random_2*11)*8",
						104
					],
					"uv_size": [
						8,
						8
					]
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": [
					"variable.particle_random_3 * 0.54 + 0.36",
					"variable.particle_random_3 * 0.54 + 0.36",
					"variable.particle_random_3 * 0.6 + 0.4",
					1
				]
			}
		}
	}
}